local WaterMill = ...

-- Apply building asset processor
WaterMill:registerAssetProcessor("models/waterMill.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Particle system
WaterMill:dofile("scripts/flow.lua")

-- Register all water mill building parts and their properties
WaterMill:dofile("scripts/buildings.lua")

local myMonument = {
    Id = "WATER_MILL_MONUMENT"
}

myMonument.Name = "WATER_MILL_SET_NAME"
myMonument.Description = "WATER_MILL_SET_DESC"
myMonument.BuildingType = "MONUMENT"
 
if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    WaterMill:log("Hello World: version 1.5")
    myMonument.DataType = "MONUMENT"
else
    WaterMill:log("Hello World: version 1.6")
    myMonument.DataType = "BUILDING"
    myMonument.AssetCoreBuildingPart = "WATER_MILL_CORE_FLOUR_PART"
end

myMonument.BuildingPartSetList = {
        {
            Name = "PRODUCTION_CORE",
	    BuildingPartList = {
		"WATER_MILL_CORE_FLOUR_PART",
		"WATER_MILL_CORE_TEXTILE_PART",
		"WATER_MILL_CORE_PLANKS_PART"
            }
        },
        { 
            Name = "WHEEL",
	    BuildingPartList = {
		"WATER_MILL_EXTENSION_LEFT_BANK_PART",
		"WATER_MILL_EXTENSION_RIGHT_BANK_PART"
	    }
        }
    } 
myMonument.RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 },
		{ Category = "EXTENSION", Quantity = 1 }
    }
myMonument.IsEditable = true
-- Register the water mill monument
WaterMill:register(myMonument)